Summary: Major mode for using Maxima on Emacsen.
Name: elisp-maxima

%global maxima_version 5.9.0
%global maxima_realver %{maxima_version}%{?rcver:rc%{rcver}}
%global	emacs_version  21.3
%global	xemacs_version 21.4
%global momorel 1
Version: %{maxima_version}
Release: %{?rcver:0.%{rcver}.}%{momorel}m
License: GPL
Group: Applications/Editors
URL: http://maxima.sourceforge.net/

%NoSource 0 http://osdn.dl.sourceforge.net/sourceforge/maxima/maxima-%{maxima_realver}.tar.gz a1d6d6ed6afb0eebf03df865c0a19f19
Source1: elisp-maxima-batch-byte-compile.el

Patch0: elisp-maxima-5.9.0-directory.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: emacs >= %{emacs_version}
BuildRequires: xemacs >= %{xemacs_version}
Requires: maxima == %{maxima_version}

%description
Maxima is a full symbolic computation program.  It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats.  It has a
symbolic debugger source level debugger for maxima code.  Maxima is
based on the original Macsyma developed at MIT in the 1970's.  It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests.
#'

%package -n maxima-emacs
Summary: Major mode for using Maxima on Emacs.
Group: Applications/Editors
Requires: %{name} == %{version}-%{release}
Requires: emacs >= %{emacs_version}
Requires: gcl-emacs

%description -n maxima-emacs
Maxima is a full symbolic computation program.  It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats.  It has a
symbolic debugger source level debugger for maxima code.  Maxima is
based on the original Macsyma developed at MIT in the 1970's.  It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests.
#'

%package -n maxima-xemacs
Summary: Major mode for using Maxima on XEmacs.
Group: Applications/Editors
Requires: %{name} == %{version}-%{release}
Requires: xemacs >= %{xemacs_version}
Requires: gcl-xemacs

%description -n maxima-xemacs
Maxima is a full symbolic computation program.  It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats.  It has a
symbolic debugger source level debugger for maxima code.  Maxima is
based on the original Macsyma developed at MIT in the 1970's.  It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests.
#'

%prep
%setup -q -n maxima-%{maxima_realver}/interfaces/emacs

%patch0 -p1

%build
(
  cd emaxima
  %__rm -rf emacs xemacs
  %__mkdir emacs xemacs

  ## Emacs
  emacs -batch -q -no-site-file -l %{S:1} maxima-font-lock.el
  emacs -batch -q -no-site-file -l %{S:1} maxima.el
  emacs -batch -q -no-site-file -l %{S:1} emaxima.el
  %__mv emaxima.elc maxima.elc maxima-font-lock.elc emacs
  ## XEmacs
  xemacs -batch -q -no-site-file -unmapped -l %{S:1} maxima.el
  xemacs -batch -q -no-site-file -unmapped -l %{S:1} maxima-font-lock.el
  xemacs -batch -q -no-site-file -unmapped -l %{S:1} emaxima.el
  %__mv emaxima.elc maxima.elc maxima-font-lock.elc xemacs
) || exit 1
(
  cd misc
  INCPATH=`pwd`
  ## Emacs
  emacs -batch -q -no-site-file -l %{S:1} bookmode.el
  %__mkdir emacs
  %__mv bookmode.elc emacs
  ## XEmacs
  xemacs -batch -q -no-site-file -l %{S:1} bookmode.el
  %__mkdir xemacs
  %__mv bookmode.elc xemacs
) || exit 1

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_datadir}/%{name}
%__mkdir_p %{buildroot}%{_datadir}/emacs/site-lisp/maxima
%__mkdir_p %{buildroot}%{_libdir}/xemacs/site-lisp/maxima

(
  cd emaxima
  ## common files
  %__install -m 0644 emaxima.lisp emaxima.sty %{buildroot}%{_datadir}/%{name}
  ## Emacs
  %__install -m 0644 *.el %{buildroot}%{_datadir}/emacs/site-lisp/maxima
  %__install -m 0644 emacs/*.elc %{buildroot}%{_datadir}/emacs/site-lisp/maxima
  ## XEmacs
  %__install -m 0644 *.el %{buildroot}%{_libdir}/xemacs/site-lisp/maxima
  %__install -m 0644 xemacs/*.elc %{buildroot}%{_libdir}/xemacs/site-lisp/maxima
)
(
  cd misc
  ## Emacs
  %__install -m 0644 *.el %{buildroot}%{_datadir}/emacs/site-lisp/maxima
  %__install -m 0644 emacs/*.elc %{buildroot}%{_datadir}/emacs/site-lisp/maxima
  ## XEmacs
  %__install -m 0644 *.el %{buildroot}%{_libdir}/xemacs/site-lisp/maxima
  %__install -m 0644 xemacs/*.elc %{buildroot}%{_libdir}/xemacs/site-lisp/maxima
)

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%files -n maxima-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/maxima

%files -n maxima-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-lisp/maxima

%changelog
* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (5.9.0-1m)
- first spec file.
